メインコンテンツへスキップ
POST
/
crm
/
v3
/
objects
/
contacts
/
search
Search for contacts
curl --request POST \
  --url https://api.hubapi.com/crm/v3/objects/contacts/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "after": "<string>",
  "filterGroups": [
    {
      "filters": [
        {
          "operator": "BETWEEN",
          "propertyName": "<string>",
          "highValue": "<string>",
          "value": "<string>",
          "values": [
            "<string>"
          ]
        }
      ]
    }
  ],
  "limit": 123,
  "properties": [
    "<string>"
  ],
  "sorts": [
    "<string>"
  ],
  "query": "<string>"
}
'
{
  "results": [
    {
      "archived": false,
      "createdAt": "2019-10-30T03:30:17.883Z",
      "id": "512",
      "properties": {
        "property_checkbox": "false",
        "property_date": "1572480000000",
        "property_dropdown": "choice_b",
        "property_multiple_checkboxes": "chocolate;strawberry",
        "property_number": "17",
        "property_radio": "option_1",
        "property_string": "value"
      },
      "updatedAt": "2019-12-07T16:50:06.678Z"
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "NTI1Cg%3D%3D",
      "link": "?after=NTI1Cg%3D%3D"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json

Describes a search request

after
string
必須

A paging cursor token for retrieving subsequent pages.

filterGroups
object[]
必須

Up to 6 groups of filters defining additional query criteria.

limit
integer<int32>
必須

The maximum results to return, up to 200 objects.

properties
string[]
必須

A list of property names to include in the response.

sorts
string[]
必須

Specifies sorting order based on object properties.

query
string

The search query string, up to 3000 characters.

レスポンス

successful operation

Represents a list of simple objects returned from an API request, along with the total count of objects available.

results
object[]
必須
total
integer<int32>
必須

The number of available results

paging
object
Last modified on April 13, 2026